Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.genetic
Class CompetitionSpace

    java.lang.Object
      uchicago.src.repastdemos.genetic.CompetitionSpace

    public class CompetitionSpace

extends java.lang.Object

The space the agents reside in. NOT related to the gui display.

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:55 $
Author:
  Jerry Vos

Constructor Summary
`CompetitionSpace()`
`CompetitionSpace(int width, int height)`

Method Summary
`java.util.ArrayList` | `getCompetitors()`
`int` | `getHeight()`
`Judge` | `getJudge()`
`int` | `getWidth()`
`void` | `recruitCompetitors(int numEmployees)`
`void` | `recruitJudge()`
`void` | `registerCompetitor(Competitor emp)`
`void` | `setHeight(int height)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompetitionSpace

    public CompetitionSpace()

### CompetitionSpace

    public CompetitionSpace(int width,
                            int height)

Method Detail

### recruitCompetitors

    public void recruitCompetitors(int numEmployees)
                            throws RepastException

  Throws:
    `RepastException`

### registerCompetitor

    public void registerCompetitor(Competitor emp)

### recruitJudge

    public void recruitJudge()
                      throws RepastException

  Throws:
    `RepastException`

### getHeight

    public int getHeight()

  Returns:
    Returns the height of the space.

### setHeight

    public void setHeight(int height)

  Parameters:
    `height` - The height of the space.

### getWidth

    public int getWidth()

  Returns:
    Returns the width of the space.

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` - The width of the space.

### getCompetitors

    public java.util.ArrayList getCompetitors()

  Returns:
    Returns the competitors.

### getJudge

    public Judge getJudge()

  Returns:
    Returns the judge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD